# Country Operational Note

An Operational Note is a piece of textual information that is intended for [Country](/data-models/country.md) users, and that cannot be otherwise modelled digitally.

Scenarios that should be entered as Operational Notes include occurrences such as special events and restrictions, etc.

<table><thead><tr><th width="241">Property</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>aid</code></td><td>string</td><td>A string with the <a href="https://docs.aviowiki.com/conventions/aviowiki-ids">AID</a> of the Country Operational Note, with <code>ONA</code> as namespace</td></tr><tr><td><code>validFrom</code></td><td>string</td><td>An ISO 8601 formatted date-time string that indicates when the Operational Note is first in force. This is expressed in Local Time. For example <code>2020-01-30T08:00:00</code>.</td></tr><tr><td><code>validTo</code></td><td>string</td><td>An ISO 8601 formatted date-time string that indicates when the Operational Note ceases to be in force. This is expressed in Local Time.<br>For example <code>2020-02-02T18:59:59.</code></td></tr><tr><td><code>source</code></td><td>string</td><td>A description of where this information was originated.<br>For example <em>Airport Authority</em> or <em>NOTAM</em> or <em>Local news</em>.</td></tr><tr><td><code>criticality</code></td><td>string</td><td><p>A string indicating the level of criticality of the Operational Note.<br>Possible values are:</p><ul><li><code>INFORMATION_ONLY</code> for information that have no operational impact. Knowledge is considered relevant to make the operations smoother, but no operational impact arises from not knowing of it.</li><li><code>OPERATIONALLY_RELEVANT</code> for information that may have an operational impact, but is not critical. Not knowing such information will likely have a minor operational impact in the form of delays or inconvenient to the crew or passengers. The flight can still take place under all circumstances. For example: <em>Temporary military exercises.</em></li><li><code>OPERATIONALLY_CRITICAL</code> for information that is relevant and critical. Not knowing will likely have a major operational impact up to refusal of service. Performance of a flight might not be possible in all conditions. For example: w<em>idespread fuel shortages, volcanic activity, strikes and no-fly/conflict zones</em></li></ul></td></tr><tr><td><code>notes</code></td><td>string</td><td>The text of the information that is to be displayed to the human.<br><em>Due to ongoing armed conflict, all airports are closed until further notice.</em> </td></tr><tr><td><code>category</code></td><td></td><td><p>A string that indicates what the Airport Operational Note is about.<br>Possible  values are:<br></p><ul><li><code>WEATHER</code> For weather phenomena affecting the airport.</li><li><code>PROCEDURES</code> For special or non-standard procedures that are in place at the airport.</li><li><code>EVENTS</code> For events affecting airport traffic, such as airshows.</li><li><code>COSTS</code> For extraordinary costs that airport users should be aware of.</li><li><code>STRIKES</code> For upcoming personnel strikes that might affect airport operations.</li><li><code>IMMIGRATION</code> For all airport-specific immigration issues.</li><li><code>DELAYS</code> For upcoming events that are expected to bring delays, but are not included in any other more specific category above.</li><li><code>RISK</code> For all safety and security risks related to airport operations.</li><li><code>RESTRICTIONS</code> For all temporary restrictions that cannot be documented in other parts of the Airport model.</li></ul></td></tr><tr><td><code>affectedTraffic</code></td><td>list</td><td>This object is reserved for future use, and it is currently defaulted to <code>null</code> in all API responses.</td></tr><tr><td><code>parent</code></td><td>string</td><td>The <a href="/pages/-MSK0yT0xbFHC0I8opdb">AID</a> of the Country which this Operational Note is applicable.</td></tr></tbody></table>

### Example

```
  {
    "validFrom": "2024-01-15T09:03:04.448",
    "validTo": "2099-12-31T23:59:59",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_CRITICAL",
    "notes": "Due to ongoing armed conflict, all airports are closed until further notice. ",
    "category": "EVENTS",
    "affectedTraffic": null,
    "parent": {
      "iso2": "MX",
      "iso3": "MEX",
      "isoNumeric": 484,
      "name": "Mexico",
      "officialName": "United Mexican States",
      "localIdentifierName": null
    },
    "aid": "ONC-9C2R-QYYM",
    "kind": "COUNTRY"
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/data-models/operational-note/country-operational-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
